Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## fr.jayasoft.ivy
Class ArtifactRevisionId

    java.lang.Object
      fr.jayasoft.ivy.ArtifactRevisionId

public class ArtifactRevisionId
extends java.lang.Object

identifies an artifact in a particular module revision

Constructor Summary
`ArtifactRevisionId(ArtifactId artifactId, ModuleRevisionId mrid)`

Method Summary
`boolean` | `equals(java.lang.Object obj)`
`ArtifactId` | `getArtifactId()`
`java.lang.String` | `getExt()`
`ModuleRevisionId` | `getModuleRevisionId()`
`java.lang.String` | `getName()`
`java.lang.String` | `getRevision()`
`java.lang.String` | `getType()`
`int` | `hashCode()`
`static ArtifactRevisionId` | `newInstance(ModuleRevisionId mrid, java.lang.String name, java.lang.String type, java.lang.String ext)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ArtifactRevisionId

    public ArtifactRevisionId(ArtifactId artifactId,
                              ModuleRevisionId mrid)

Parameters:
  `artifactId` -

Method Detail

### newInstance

    public static ArtifactRevisionId newInstance(ModuleRevisionId mrid,
                                                 java.lang.String name,
                                                 java.lang.String type,
                                                 java.lang.String ext)

### equals

    public boolean equals(java.lang.Object obj)

### hashCode

    public int hashCode()

### toString

    public java.lang.String toString()

### getArtifactId

    public ArtifactId getArtifactId()

  Returns:
    Returns the artifactId.

### getModuleRevisionId

    public ModuleRevisionId getModuleRevisionId()

### getName

    public java.lang.String getName()

### getType

    public java.lang.String getType()

### getExt

    public java.lang.String getExt()

### getRevision

    public java.lang.String getRevision()

  Returns:
    Returns the revision.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD